openSUSE Security Update : libtirpc (openSUSE-2018-851)

High Nessus Plugin ID 111632

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libtirpc fixes the following issues :

Security issue fixed :

- bsc#968175: Fix remote crash of RPC services.

Bug fixes :

- bsc#1072183: Send RPC getport call as specified via parameter.

This update was imported from the SUSE:SLE-12-SP2:Update update project.

Solution

Update the affected libtirpc packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1072183

https://bugzilla.opensuse.org/show_bug.cgi?id=968175

Plugin Details

Severity: High

ID: 111632

File Name: openSUSE-2018-851.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/08/10

Modified: 2018/08/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libtirpc-debugsource, p-cpe:/a:novell:opensuse:libtirpc-devel, p-cpe:/a:novell:opensuse:libtirpc-netconfig, p-cpe:/a:novell:opensuse:libtirpc3, p-cpe:/a:novell:opensuse:libtirpc3-32bit, p-cpe:/a:novell:opensuse:libtirpc3-debuginfo, p-cpe:/a:novell:opensuse:libtirpc3-debuginfo-32bit, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/08/09